<?php
/**
 * Empty cart page
 *
 * @author      WooThemes
 * @package     WooCommerce/Templates
 * @version     7.0.1
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

$is_wc_older_than_710 = version_compare( WC_VERSION, '7.1.0', '<');
$wc_button_css_class = $is_wc_older_than_710 ? '' : wc_wp_theme_get_element_class_name( 'button' );
// wc_print_notices();
?>
<div class="cart-empty-box padding-all">
	<?php do_action( 'woocommerce_cart_is_empty' ); ?>

	<p class="return-to-shop"><a class="button wc-backward<?php echo $wc_button_css_class ? ' ' . esc_attr( $wc_button_css_class ) : ''; ?>" href="<?php echo apply_filters( 'woocommerce_return_to_shop_redirect', wc_get_page_permalink( 'shop' ) ); ?>"><i class="fa fa-arrow-circle-left return-to-shop-icon"></i><?php echo apply_filters( 'adventure_tours_return_to_shop_button_title', esc_html__( 'Return To Shop', 'adventure-tours' ) ); ?></a></p>
</div>
