<?php
/**
 * Cross-sells
 *
 * @author      WooThemes
 * @package     WooCommerce/Templates
 * @version     4.4.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

if ( ! $cross_sells ) {
	return;
}

global $product, $woocommerce_loop;

// $columns = apply_filters( 'woocommerce_cross_sells_columns', $columns );
// will use less columns in case if there is not enough items in cross sell option
$columns = min( count( $cross_sells ), $columns );
if ( $columns < 2 ) {
	$columns = 1;
} elseif ( $columns > 4 ) {
	$columns = 4;
}

$woocommerce_loop['columns'] = $columns;

$column_class = 'col-md-' . ( 12 / $columns );

?>

<div class="cross-sells">
	<h2><?php esc_html_e( 'You may be interested in', 'adventure-tours' ) . '&hellip;'; ?></h2>

	<?php woocommerce_product_loop_start(); ?>
		<?php foreach ( $cross_sells as $item ) {
			printf( '<div class="cross-sells__item %s">', $column_class );

			$post_object = get_post( $item->get_id() );
			setup_postdata( $GLOBALS['post'] =& $post_object );
			wc_get_template_part( 'content', 'product' );

			print( '</div>' );
		} ?>
	<?php woocommerce_product_loop_end(); ?>
</div>

<?php
wp_reset_query();
