<?php
/**
 * Single Product Up-Sells
 *
 * @author      WooThemes
 * @package     WooCommerce/Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

if ( ! $upsells ) {
	return;
}

global $product, $woocommerce_loop;

$woocommerce_loop['columns'] = $columns;
if ( sizeof( $upsells ) < 3 ) {
	$columns = 2;
}

if ( $columns > 4 ) {
	$columns = 4;
} elseif( $columns < 2 ) {
	$columns = 2;
}

$product_item_coll_size = 12 / $columns;
?>

<div class="upsells products margin-top atgrid">
	<h2><?php esc_html_e( 'You may also like', 'adventure-tours' ) . '&hellip;'; ?></h2>
	<?php
		woocommerce_product_loop_start();
		$item_index = 0;
		foreach ( $upsells as $item ) {
			if ( $item_index > 0 && $item_index % $columns == 0 ) {
				echo '<div class="atgrid__row-separator atgrid__row-separator--related-and-upsells clearfix"></div>';
			}
			$item_index++;

			printf( '<div class="atgrid__item-wrap atgrid__item-wrap--related-and-upsells col-md-%s">', $product_item_coll_size );

			$post_object = get_post( $item->get_id() );
			setup_postdata( $GLOBALS['post'] =& $post_object );
			wc_get_template_part( 'content', 'product' );

			print( '</div>' );
		}
		woocommerce_product_loop_end();
	?>
</div>

<?php
wp_reset_postdata();
